gAddViewMessage-class {MVCClass} | R Documentation

## Class "gAddViewMessage": A class to represent an add view message

### Description

gAddViewMessage is a class to represent an add view message. Whenever a view needs to be added, a gAddViewMessage object is created and the handleMessage method is called to act on the message. gAddViewMessage inherits from the virtual class, gAddMessage.

### Objects from the Class

Objects can be created by calls of the form `new("gAddViewMessage", ...)`. The initialize method for this class will be created in other packages that use this package (for example, the initialize method will be created in the iSNetwork and iSPlot packages).

### Slots

`dataName`:
  the name of the model to be added
`mData`:
  a list of information that contains the data needed to add the view
`type`:
  the type of view to be added (ex. scatterplot, spreadsheet, etc.)

### Extends

Class `"gAddMessage"`, directly. Class `"gModifyMessage"`, by class `"gAddMessage"`. Class `"gMessage"`, by class `"gAddMessage"`.

### Methods

No methods defined with class "gAddViewMessage" in the signature.

### Author(s)

Elizabeth Whalen

### See Also

`gAddDataMessage-class`, `gAddMessage-class`, `gMessage-class`

[Package MVCClass version 1.18.0 Index]